For the complete documentation index, see llms.txt. This page is also available as Markdown.

Cross Connect Telemetry

Cross connect telemetry service endpoints

Get the data usage for a uplinkId in a cross connect, by default, past 24 hours

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
crossConnectIdintegerRequired

The Id of the cross connect

uplinkIdintegerRequired

The Id of the uplink

Query parameters
startTimeintegerOptional

Start unix timestamp

endTimeintegerOptional

End unix timestamp

Responses
200

OK

application/json
unitstringRead-onlyRequired

Unit of data frequency, possible interval options are as follows

  • day
get/v3/telemetry/crossConnect/{crossConnectId}/usage/{uplinkId}/raw
GET /v3/telemetry/crossConnect/{crossConnectId}/usage/{uplinkId}/raw HTTP/1.1
Host: api.i3d.net
PRIVATE-TOKEN: YOUR_API_KEY
Accept: */*
[
  {
    "unit": "text",
    "data": [
      {
        "timestamp": 1,
        "ingress": "text",
        "egress": "text",
        "sum": "text"
      }
    ]
  }
]

Last updated

Was this helpful?